body {
    font-family: helvetica neue, helvetica, liberation sans, arial, sans-serif;
    font-size: 14px;
  }

#mainTitle {
  width: 100%;
  color: #000030;
}

#under  {
  color: white;
  font-size: 14px;
  text-align: center;
  width: 198px;
  text-decoration: underline;
}

#underBig  {
  color: white;
  font-size: 17px;
  text-align: center;
  width: 198px;
  text-decoration: underline;
}

.title {
  color: white;
  font-size: 19px;
  width: 198px;
}

  #Box1 {
    width: 100%;
    height: 400px;
    bottom: 0;
    right: 0;
    z-index: 999;
    display: inline-block;
    vertical-align: top;
    border: 1px solid black;
  }

  #cy {
    height: inherit;
  }

  #Box2 {
    width: 0%;
    height: 400px;
    bottom: 0;
    right: 0;
    z-index: 999;
    display: inline-block;
    vertical-align: top;
    border: 1px solid black;
    overflow: scroll;
  }

  #cy2 {
    height: inherit;
  }

  #complete {
    width: 0%;
    height: 400px;
    bottom: 0;
    right: 0;
    z-index: 999;
    display: inline-block;
    vertical-align: top;
    border: 1px solid black;
    font-size: 12px;
    overflow: scroll;
    margin-top: 0px;
  }

  .test {
    left: inherit;
    width: 100%;
  }

  #blah {
    margin-bottom: 30px;
  }

  #leftBox {
    width: 150px;
    float: left;
}

#rightBox {
    width: 150px;
    float: left;
}
  
  h1 {
    font-size: 40px;
    font-weight: bold;
    text-align: center;
    margin-top: 15px;
  }

  h2 {
    font-size: 30px;
    margin: 5px;
  }

  button {
    border-style: solid;
    border-radius: 5px;
    padding-left: 10px;
    border-color: lightgray;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 2px;
    padding-bottom: 2px;
    background-color: #b0bec5;
    opacity: 0.3px;
    margin: 5px;
    width: 170px;
  }

#inputBox {
  top: 100px; 
  left: 10px; 
  width: 400px;
  border-style: solid;
  border-radius: 5px;
  padding-left: 10px;
  border-color: dimgray;
  overflow: hidden;
  }

* {
  font-family: sans-serif;
}
div.button {
  width: 400px;
  height: 30px;
  padding: 0;
  cursor: pointer;
}
div.content {
  width: 200px;
  padding: 5px;
  margin-top: 0;
}

.hidden {
  display: none;
}

#test{
  float: left;
}

#invisible {
  border-style: hidden;
  background-color: unset;
  text-decoration: underline;
  width: 80px;
}

#separate {
  padding-bottom: 10px;
}

#box {
  width:170px;
  margin-left: 5px;
}

#space {
  padding-top: 15px;
  padding-bottom: 15px;
}

#leftBox1 {
  width: 500px;
  float: left;
}
#rightBox1 {
  width: 500px;
  float: left;
}

#answerBox {
  width: 500px;
  border: none;
}

/* Menu formatting */

.sidenav {
  height: 100%;
  width: 200px;
  position: fixed;
  z-index: 1;
  top: 0;
  left: 0;
  background-color: #000030;
  overflow-x: hidden;
  padding-top: 20px;
}

.sidenav a {
  padding: 6px 8px 6px 16px;
  text-decoration: none;
  font-size: 25px;
  color: #818181;
  display: block;
}

.sidenav a:hover {
  color: #f1f1f1;
}

.main {
  margin-left: 200px; /* Same as the width of the sidenav */
  font-size: 28px; /* Increased text to enable scrolling */
  padding: 0px 10px;
}

@media screen and (max-height: 450px) {
  .sidenav {padding-top: 15px;}
  .sidenav a {font-size: 18px;}
}

.text {
  color:white;
}

.box1 {
  align-content: center;  
  display: grid;
  width: 180px;

}

.inputBox {
  width: inherit;
} 

.smallTitle {
  color: white;
}

#file_input {
  color: white;
  margin-bottom: 10px;
  margin-left: 10px;
}

#infoBox {
  width: 99%;
  display: inline-block;
  vertical-align: top;
  border: 1px solid black;
}

#textarea {
  width: 98%;
  border: 0px;
  padding-top: 10px;
}

#isdeterministic, #isminimal, #areuseful, #numbertransitions, #numberstates, #wordTitle, #errorsInfo{
  font-size: 16px;
  padding-top: 10px;
}

#info {
  font-size: 22px;
}

.footer {
  position: fixed;
   left: 0;
   bottom: 0;
   width: 100%;
   padding: 5px;
  background-color: #000030;
  text-align: center;
  font-size: .85rem;
  line-height: 1.75;
  color: white;
}

#footerButton {
  border-style: none;
    border-radius: 0px;
    padding-left: 0px;
    padding-right: 0px;
    padding-top: 0px;
    padding-bottom: 0px;
    margin: 0px;
    color: white;
    display: inline-block;
    text-decoration: underline;
}

#title {
  color: white;
  text-align: center;
}

#version {
  font-size: 12px;
  color: white;
  text-align: center;
}

hr{
  color: white;
  margin-bottom: 15px;
}

#exampleButton {
  border-style: none;
  background-color: transparent;
  color:white;
  text-decoration: underline;
  width: 85px;
}

#changeDirection, #formatting  {
  float: right;
}

#input {
  margin-bottom: 10px;
  margin-right: 15px;
  margin-left: 5px; 
}

#error {
  color: red;
}

#right {
  color: green;
}

#nothing {
  font-size: 15px;
  padding: 20px;
}

#prob, #accept, #wrong {
  font-size: 17px;
}

#enum {
  text-align: center;
}

#convert {
  width: 47%;
  margin-bottom: 5px;
  margin-left: 3px;
  margin-right: 3px;
}

#addTransition, #define, #generate, #fromFilesystem, #box, #server , #testing{
  width: 97%;
  margin-left: 3px;
}

#backwards, #step, #forward, #clean, #deterministic, #minimize, #productive, #accessible, #useful {
  width: 31%;
  margin-left: 3px;
  margin-right: 0px;
}

#infoAutomata, #treeResult {
  font-size: 14px;
}

#treeResult, #resultBox {
  text-align: center;
}

#resultBox {
  font-size: 18px;
  margin-top: 10px;
  margin-bottom: 10px;
}

.selectBoxes {
  border-style: solid;
    border-radius: 5px;
    padding-left: 10px;
    border-color: lightgray;
    padding-left: 10px;
    padding-right: 10px;
    padding-top: 2px;
    padding-bottom: 2px;
    background-color: #b0bec5;
    opacity: 0.3px;
    margin: 5px;
    width: 97%;
    margin-left: 3px;
}

/*style the arrow inside the select element:*/
.selectBoxes:after {
  position: absolute;
  content: "";
  top: 14px;
  right: 10px;
  width: 0;
  height: 0;
  border: 6px solid transparent;
  border-color: #fff transparent transparent transparent;
}

/*point the arrow upwards when the select box is open (active):*/
.selectBoxes.select-arrow-active:after {
  border-color: transparent transparent #fff transparent;
  top: 7px;
}

/*style the items (options), including the selected item:*/
.select-items div,.selectBoxes {
  color: #ffffff;
  padding: 3px 16px;
  border: 1px solid transparent;
  border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
  cursor: pointer;
  user-select: none;
}

/*style items (options):*/
.select-items {
  position: absolute;
  background-color: #b0bec5;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 99;
}

/*hide the items when the select box is closed:*/
.select-hide {
  display: none;
}

.select-items div:hover, .same-as-selected {
  background-color: rgba(0, 0, 0, 0.1);
}

#passo {
  color:white;
  font-size: 12px;
}

#closeLeft, #closeRight {
  width: 20px;
  padding: 0px;
  text-align: center;
}

#aboutTitle {
  font-size: 30px;
}

#aboutsubTitle {
  font-size: 20px;
}

#aboutText {
  font-size: 15px;
}

#aboutBox {
  overflow: scroll;
}

#feedbackTitle {
  font-size: 30px;
}

#feedbackText {
  font-size: 15px;
}

#feedbackText a:link{
  color: black;
}

#feedbackBox {
  padding-left: 20px;
  padding-right: 10px;
}

#Box1 {
  overflow: scroll;
}

#examplesServer{
  width: 190px;
  height: 80px;
  overflow: scroll;
}

#aboutText a:link{
  color: black;
}

#selectConversion, #selectNode, #selectTrans {
  color: black;
  text-align: center;
}

#inputTitle {
  color: white;
  margin-bottom: 10px;
  margin-left: 10px;
  font-size: 12px;
}
}

#box {
  height: 15px;
}

#server {
  border-style: none;
  padding-left: 10px;
  padding-left: 10px;
  padding-right: 10px;
  padding-top: 2px;
  padding-bottom: 2px;
  background-color: transparent;
  margin: 5px;
  width: 170px;
  color: white;
  text-align: left;
}

#inside, #outside {
  font-size: 15px;
  margin-left: 15px;
}